diff nuc-fw/cfgmagic/processconf.sh @ 122:28f967578233

RVT compiles
author Michael Spacefalcon <msokolov@ivan.Harhan.ORG>
date Thu, 31 Oct 2013 04:37:17 +0000
parents ccde45a06737
children 595631eee4bc
line wrap: on
line diff
--- a/nuc-fw/cfgmagic/processconf.sh	Thu Oct 31 00:55:14 2013 +0000
+++ b/nuc-fw/cfgmagic/processconf.sh	Thu Oct 31 04:37:17 2013 +0000
@@ -15,6 +15,10 @@
 mk_export_list=
 m4_export_list=
 
+# some defaults
+RVTMUX_UART_port=IrDA
+RVTMUX_UART_baud=115200
+
 . ./build.conf
 
 if [ -z "$TARGET" ]
@@ -23,11 +27,28 @@
 	exit 1
 fi
 
+# Serial configuration
+case "$RVTMUX_UART_port" in
+	IrDA)
+		;;
+	MODEM)
+		CONFIG_RVTMUX_ON_MODEM=1
+		export_to_c CONFIG_RVTMUX_ON_MODEM
+		;;
+	*)
+		echo "Error: unknown RTVMUX_UART_port=$RTVMUX_UART_port" 1>&2
+		exit 1
+		;;
+esac
+
+TR_BAUD_CONFIG=TR_BAUD_$RVTMUX_UART_baud
+export_to_c TR_BAUD_CONFIG
+
 # Once we get some actual functionality, the following definitions
 # will likely depend on the target and feature configuration,
 # but for now all we have is a FreeNucleus RTOS demo.
 
-BUILD_COMPONENTS="nucdemo nucleus sprintf sysglue"
+BUILD_COMPONENTS="bsp nucdemo nucleus serial sprintf sysglue"
 export_to_mk BUILD_COMPONENTS
 
 BUILD_DEFAULT_IMAGE=ramImage